Creates a new location object

Request Information

URI Parameters :

None.

Body Parameters :

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Request Formats :

application/json, text/json

Sample:
{
  "id": "496a72a5-77e1-4b28-88f8-8964e28d8d1b",
  "_parent_id": "6b5b1aae-82e9-42b2-92fc-28ed290b9f36",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "6540dc0f-990e-47ec-8416-b8d3ec0bc8cb",
  "company_id": "a17fd659-8339-4736-9949-af4870a79930",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "bc9bcd01-fe74-4d63-bf07-b9eee88e51ff",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "534e37e4-8408-4c41-8cbd-7afc3396fa91",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "8037aff9-0de9-47ad-a29c-8d066d6e2914",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "4685a7b8-e041-4954-8198-e1b172bb401a",
    "company_code": "sample string 5",
    "company": {
      "id": "cb9740df-944b-4762-b265-566523a8e0bd",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-07-15T21:08:09.9666131+00:00",
      "sales_territory_id": "7b427c6a-adcc-407e-986e-92dab10df849",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "6b86b77a-78e7-4ecc-97db-25f425bf710d",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "ba80d60d-3c43-41d0-8c21-215dd3d47a88",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "bb81b4f9-320f-4ceb-9b91-c4295f9b1611",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "c1ee1c9a-6758-46ee-a952-7aa9cd9b417f",
          "db_currency_id": "42e5bfb7-53fd-4c49-a54e-08a3681c8bea",
          "db_language_id": "c1283623-8281-4f80-a026-c3ed1ae3f95f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
        },
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
      },
      "marketing_segment_id": "eb7b14fb-2eec-4915-aa32-01b83bb77fbc",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "1928d339-620b-45ea-a205-cb297412debe",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "e7c0d9b8-8f96-4518-8bd9-bd1e8a34f0eb",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "bedb20dc-0714-43ff-bd8d-294210e84363",
      "db_country_code": "sample string 28",
      "feelist_id": "b3e3c89e-5850-4ab0-bf00-4799b91606c5",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "0cb623c6-8db9-4e38-b14e-c632f24ea964",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "253e5741-dc71-48d9-9c6f-dbb938f488ab",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
        "db_currency_id": "fe870bd5-86d9-4d78-8c91-5c3199a1c4d5",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "848af34d-def6-42c0-9395-57ba12f7d129",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "e31e307a-96f7-416d-a8db-29bbc308345e",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "1f4756c2-95f6-4d85-a80d-2cfdb50bd2db",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "df0f9af5-fe2f-45a8-bbc1-d249a1c40326",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "a149b53e-87be-4502-bd4a-6ed6ee9d29a8",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "efa17a39-cabf-4f37-b353-6bfc808f59d2",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "48f2c2d7-cfae-41a8-b148-249bd9a4a8a8",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
      },
      "company_sector_id": "1200f208-4ef5-4bf4-b617-71e41726fa58",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "0aa73b9f-7f53-4ef6-b913-badab329eb21",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "10c52b30-a662-4ea6-9c55-a6c341cb435e",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "29697511-97b5-4706-870f-59d52da5f10a",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "c8755796-e58f-4c80-859f-c72da1a368db",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
      "id2": 60
    },
    "db_language_id": "a2982a0d-8b2f-466b-8a90-b72bad56f38b",
    "db_language_code": "sample string 7",
    "db_title_id": "8bb1a181-ab64-4964-8178-edc22de4809c",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-07-15T21:08:09.9666131+00:00",
    "create_date": "2026-07-15T21:08:09.9666131+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
  },
  "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
  "id2": 22
}

Response Information

Resource Description :

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "1b0613c2-be2b-42ee-9c77-6cc8e5700640",
  "_parent_id": "949e42d6-c9f6-40c6-9893-dbf58da0d40e",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "39c6ce86-7665-4f57-a4f1-4c240d20a90e",
  "company_id": "093ffdf6-2bf3-460e-96a5-b56419486766",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "b15c2452-2d0c-44b6-b397-673c6aa65c8e",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "907c884f-9ec2-4466-aa08-96b0449b2ba9",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "8d92e558-55c6-4bbe-ace6-dc859b4a75ef",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "9e397051-f66b-47fd-a9a7-ca7d6931f56f",
    "company_code": "sample string 5",
    "company": {
      "id": "c23d0b0e-f622-4176-abe9-3c843327d093",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-07-15T21:08:09.9666131+00:00",
      "sales_territory_id": "db121e2f-c9a3-45d4-926b-e242d63d9a50",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "ac384114-0f17-4dfa-88dc-f4202ebc6db8",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "d4037250-29cf-4ef8-b129-f2265d539e55",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "d56d5d4c-690b-40b0-b99c-63d06dd93f25",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "60cd579d-d004-404a-8200-12348b4c3dd1",
          "db_currency_id": "c0eed99c-0b3e-4e5f-b6c3-8251a3b10c69",
          "db_language_id": "d9410fd4-0750-4b6e-bd59-72ef5807c730",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
        },
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
      },
      "marketing_segment_id": "254fb470-e562-4084-bda5-3de7976e04f4",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "d5d9ac1c-4cf5-4286-8bfb-5263eb07ed90",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "d1ffb528-2a2a-4be0-b819-7e892b6ffac3",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "f51e365c-a524-417e-a7ce-20e7d6dba3ab",
      "db_country_code": "sample string 28",
      "feelist_id": "47159661-4eab-4f80-bd72-b5ecd06b012d",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "1dbefbd0-0761-477d-9d40-3c7578104905",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "2f4f6b52-eadb-430a-8e31-9bfcd95633b8",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
        "db_currency_id": "98065b93-2f10-4cb2-92c9-a17c29e2e781",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "905767c8-efc7-4c07-a434-144f2d796e5c",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "5fcd823e-e5f1-4191-ac16-473b883877aa",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "06083447-1b14-40d3-9af6-86f0c6afe76e",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "bdddc8af-e6f9-473a-90bb-cdf7560b8f9c",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "de505ffc-b2c8-407a-bc10-9929ff79882f",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "799d2fc7-781a-45e8-bf82-43364bf8a72d",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "2df46c78-c5fc-4711-b365-ee2bec90dd6d",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
      },
      "company_sector_id": "5918ce2a-6e7b-4373-8b54-d3f0a6c91e2d",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "f029ad1a-7747-4f23-a87a-251c471ba3a6",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "30774409-35a1-4776-ad16-cf181704bf43",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "bf14695c-3bf9-4156-84b4-2e11810aa973",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "fe1fba96-b8ec-4b21-a079-e7cb715815c0",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
      "id2": 60
    },
    "db_language_id": "db3eb47a-a51e-4526-a573-3a6a27fc5de6",
    "db_language_code": "sample string 7",
    "db_title_id": "0e4eadab-5e90-412e-a24c-a0fad3810099",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-07-15T21:08:09.9666131+00:00",
    "create_date": "2026-07-15T21:08:09.9666131+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00"
  },
  "modified_dateutc": "2026-07-15T21:08:09.9666131+00:00",
  "id2": 22
}